import { Jsonified } from '@tangential/core';
import { ConfigurableInputType, ConfigurableInputTypeJson } from '../configurable-input-type';
import { BooleanIval, BooleanIvalIF } from './boolean-ival';
export interface BooleanTypeIF extends ConfigurableInputTypeJson {
    defaultValue?: boolean;
}
export declare class BooleanType extends ConfigurableInputType implements Jsonified<BooleanType, BooleanTypeIF>, BooleanTypeIF {
    static $model: BooleanTypeIF;
    static TYPE_NAME: string;
    defaultValue?: boolean;
    constructor(config?: BooleanTypeIF, key?: string);
    getInputTypeKey(): string;
    isNumeric(): boolean;
    createValue(cfg?: BooleanIvalIF, key?: string): BooleanIval;
}
