import { ChangeDetectorRef, EventEmitter, OnChanges, OnInit, SimpleChange } from '@angular/core';
import { MdDialog } from '@angular/material';
import { InputConfig } from '../../input-config';
import { InputRegistry } from '../input-types-registry';
import { InputTemplateIF } from '../template-components/input-template-component/input-template.component';
export declare class EditConfigurableWidgetComponent implements OnInit, OnChanges {
    private inputRegistry;
    private changeDetectorRef;
    dialog: MdDialog;
    inputConfig: InputConfig;
    inputConfigChange: EventEmitter<InputConfig>;
    inputNames: string[];
    inputTemplate: InputTemplateIF;
    constructor(inputRegistry: InputRegistry, changeDetectorRef: ChangeDetectorRef, dialog: MdDialog);
    ngOnInit(): void;
    ngOnChanges(changes: {
        inputConfig: SimpleChange;
    }): void;
    inputWidgetChange(newConfig: InputConfig): void;
    updateInputConfig(inputConfig: InputConfig): void;
    canChangeWidget(): boolean;
    showChooseInputDialog(): void;
    onTemplateChanged(template: InputTemplateIF): void;
}
