import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { TextIval } from '../../data-type/text/text-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { TextInputConfig } from './text-input-config';
export declare class TextTemplateComponent implements OnInit, InputTemplateIF {
    private _changeDetector;
    config: TextInputConfig;
    ival: TextIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(_changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
}
