import { Jsonified } from '@tangential/core';
import { ConfigurableInputIval, ConfigurableInputIvalJson } from '../configurable-input-ival';
export interface DateTimeIvalIF extends ConfigurableInputIvalJson {
    value?: number;
    recordedInTimeZone?: string;
}
export declare class DateTimeIval extends ConfigurableInputIval implements Jsonified<DateTimeIval, DateTimeIvalIF>, DateTimeIvalIF {
    static $model: DateTimeIvalIF;
    value: number;
    recordedInTimeZone: string;
    constructor(config?: DateTimeIvalIF, key?: string);
    uiValue: string;
}
